org.wso2.extension.siddhi.execution.ml.samoa.utils.classification

## Class StreamingClassificationTask

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask
  - - org.wso2.extension.siddhi.execution.ml.samoa.utils.classification.StreamingClassificationTask

- All Implemented Interfaces:
    com.github.javacliparser.Configurable, Serializable, org.apache.samoa.tasks.Task

      public class StreamingClassificationTask
      extends ProcessTask

  Source : Samoa prequentialtask : https://github.com/apache/incubator-samoa/blob/master/ samoa-api/src/main/java/org/apache/samoa/tasks/PrequentialEvaluation.java
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask

      `batchDelayOption, builder, cepEvents, dumpFileOption, evaluationNameOption, evaluatorOption, inputStream, instanceLimitOption, learner, learnerOption, sampleFrequencyOption, samplingThresholdOption, source, sourceDelayOption, sourcePiOutputStream, streamTrainOption, topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingClassificationTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()`
    `void` | `setSamoaClassifiers(Queue<Vector> classifiers)`

    - ### Methods inherited from class org.wso2.extension.siddhi.execution.ml.samoa.utils.ProcessTask

      `getDefaultPerformanceEvaluatorForLearner, getTopology, isLearnerAndEvaluatorCompatible, setCepEvents, setFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingClassificationTask

          public StreamingClassificationTask()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `org.apache.samoa.tasks.Task`
      Specified by:
        `init` in class `ProcessTask`

    - #### setSamoaClassifiers

          public void setSamoaClassifiers(Queue<Vector> classifiers)

Copyright © 2017 WSO2. All rights reserved.